### Function

# WebKit Credential new_for_certificate_pin

since: 2.34

#### Declaration [src]

    WebKitCredential*
    webkit_credential_new_for_certificate_pin (
      const gchar* pin,
      WebKitCredentialPersistence persistence
    )

#### Description [src]

Create a new credential from the provided PIN and persistence mode.

Note that `WEBKIT_CREDENTIAL_PERSISTENCE_PERMANENT` is not supported for certificate pin credentials.

Available since: 2.34

#### Parameters

`pin`

  Type: `const gchar*`

  The PIN for the new credential.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`persistence`

  Type: `WebKitCredentialPersistence`

  The `WebKitCredentialPersistence` of the new credential.

#### Return value

Type: `WebKitCredential`

A `WebKitCredential`.

The caller of the function takes ownership of the data, and is responsible for freeing it.